Python
import requests
response = requests.post(
"https://api.roe-ai.com/webhooks/",
headers={
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json"
},
json={
"name": "Job Notifications",
"url": "https://your-server.com/webhooks/roe",
"events": ["job_completed"]
}
)
webhook = response.json()
print(f"Created webhook: {webhook['id']}")const response = await fetch("https://api.roe-ai.com/webhooks/", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json"
},
body: JSON.stringify({
name: "Job Notifications",
url: "https://your-server.com/webhooks/roe",
events: ["job_completed"]
})
});
const webhook = await response.json();
console.log(`Created webhook: ${webhook.id}`);
curl -X POST "https://api.roe-ai.com/webhooks/" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "Job Notifications",
"url": "https://your-server.com/webhooks/roe",
"events": ["job_completed"]
}'
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
url: '<string>',
secret: '<string>',
headers: {},
events: ['<string>'],
is_active: true,
alerts: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
})
};
fetch('https://api.roe-ai.com/webhooks/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"url": "<string>",
"secret": "<string>",
"headers": {},
"events": [
"<string>"
],
"is_active": true,
"alerts": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}Webhooks
Create Webhook
Mixin for organization access validation.
Automatically resolves and validates organization access on every request,
making the organization available as self.organization.
For API key auth: organization is derived from the key (no org_id param needed).
For user auth: organization_id must be provided in the request
(kwargs / headers / body / query params).
Usage:
class MyView(BaseOrganizationAccessMixin, APIView):
def get(self, request):
# self.organization is automatically available
return Response({"org": self.organization.name})
POST
/
webhooks
/
Python
import requests
response = requests.post(
"https://api.roe-ai.com/webhooks/",
headers={
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json"
},
json={
"name": "Job Notifications",
"url": "https://your-server.com/webhooks/roe",
"events": ["job_completed"]
}
)
webhook = response.json()
print(f"Created webhook: {webhook['id']}")const response = await fetch("https://api.roe-ai.com/webhooks/", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json"
},
body: JSON.stringify({
name: "Job Notifications",
url: "https://your-server.com/webhooks/roe",
events: ["job_completed"]
})
});
const webhook = await response.json();
console.log(`Created webhook: ${webhook.id}`);
curl -X POST "https://api.roe-ai.com/webhooks/" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "Job Notifications",
"url": "https://your-server.com/webhooks/roe",
"events": ["job_completed"]
}'
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
url: '<string>',
secret: '<string>',
headers: {},
events: ['<string>'],
is_active: true,
alerts: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
})
};
fetch('https://api.roe-ai.com/webhooks/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"url": "<string>",
"secret": "<string>",
"headers": {},
"events": [
"<string>"
],
"is_active": true,
"alerts": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Organization ID. This is required for access control. It can be provided via query or request body depending on the endpoint.
Body
application/json
Serializer for creating webhooks
User-friendly name for this webhook
Required string length:
1 - 255Webhook endpoint URL
Required string length:
1 - 500Maximum string length:
255Custom headers to include in webhook requests (key-value pairs)
Show child attributes
Show child attributes
List of events to trigger this webhook (e.g., ['triggered'])
Minimum string length:
1Response
201 - application/json
Serializer for creating webhooks
User-friendly name for this webhook
Maximum string length:
255Webhook endpoint URL
Maximum string length:
500Maximum string length:
255Custom headers to include in webhook requests (key-value pairs)
Show child attributes
Show child attributes
List of events to trigger this webhook (e.g., ['triggered'])